LINUXBREW-WRAPPER(7)

NAME
linuxbrew-wrapper - Wrapper of the Missing Package Manager For Linux

SYNOPSIS
linuxbrew [options]
brew [options]

DESCRIPTION
This wrapper package contains no linuxbrew itself, but just a wrapper script and an Homebrew/Linuxbrew upstream install script. And the wrapper script does:

  * run linuxbrew if it exists at your home.

  * run upstream install script if found no linuxbrew instance at your home.

In order to utilize the software installed with brew/linuxbrew, you may want to add linuxbrew directory in some environment variables:

  + PATH | for finding executable programs
    e.g. | export PATH="${HOME}/.linuxbrew/bin:${PATH}"

  + MANPATH | for finding manpages
    e.g. | export MANPATH="${HOME}/.linuxbrew/share/man:${MANPATH}"

  + INFOPATH | for finding info pages
    e.g. | export INFOPATH="${HOME}/.linuxbrew/share/info:${INFOPATH}"

OPTIONS
For the options of linuxbrew please see brew(1).

EXAMPLE
/usr/share/doc/linuxbrew-wrapper/examples/profile

BUGS

If you find a linuxbrew's packaging BUG or other BUG of Homebrew/Linuxbrew itself, then it may not be BUG of Debian, because such a bug is handled by Homebrew/Linuxbrew upstream, and in fact the files triggered that (packaging) BUG are likely not provided by this Debian package. Such BUG should be reported here:

  https://github.com/Homebrew/linuxbrew/issues

Apart from that, if you find a BUG on linuxbrew-wrapper, i.e. the troublesome file is listed in `dpkg -L linuxbrew-wrapper`, then it is a Debian BUG and please report it to Debian, thanks. ;-)

SEE ALSO
brew(1), ld.so(8).

This manpage was written by Zhou Mo for Debian, and may be used by others.